/*
 * PROJECT: Indiana University Stiquito Colony Simulator and Control Software
 *
 * (c) Copyright 1996 Jason L. Almeter, Indiana University.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that: (1) source distributions retain this entire copyright
 * notice and comment, and (2) distributions including binaries display
 * the following acknowledgement:  ``This product includes software
 * developed by Indiana University '' in the documentation or other
 * materials provided with the distribution and in all advertising
 * materials mentioning features or use of this software. The
 * name of the University may not be used to endorse or promote products
 * derived from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * MODULE:
 *	Robot Controllers
 *
 * FILE:
 *	robot.h
 *
 * ABSTRACT:
 *	info needed for various controllers to interface to the
 *	controller/simulator 
 *
 * $Revision: 1.3 $
 * $Date: 1996/01/18 17:19:37 $
 * $Author: jla $
 *
 * HISTORY:
 *
 * $Log: robot.h,v $
 * Revision 1.3  1996/01/18  17:19:37  jla
 * Modified for distribution use.  I.e. to get other headers based on
 * search paths.
 *
 * Revision 1.2  1996/01/17  19:17:34  jla
 * Updated Cogyright verbage for release.
 *
 * Revision 1.1  1996/01/16  18:53:51  jla
 * Initial revision
 *
 *
 */

#include "coords.h"
#include "motor.h"

extern int robotNumber;
extern CoordType location[MAX_ROBOTS];

extern RobotCmdType command;

/*--------------------------------------------------------------------------*\
 *
 * FUNCTION: void ToLocal(double x, double y, double theta,
 *		double *nx, double *ny)
 *
 * DESCRIPTION:
 *	convert x,y in colony coords into robot coords
 *
\*--------------------------------------------------------------------------*/


void ToLocal(double x, double y, double *nx, double *ny);

void robot_controller(void);

#define SetCommand(x) {command.cmd = x;}

