/*
 * PROJECT: Indiana University Stiquito Colony Simulator and Control Software
 *
 * (c) Copyright 1996 Jason L. Almeter, Indiana University.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that: (1) source distributions retain this entire copyright
 * notice and comment, and (2) distributions including binaries display
 * the following acknowledgement:  ``This product includes software
 * developed by Indiana University '' in the documentation or other
 * materials provided with the distribution and in all advertising
 * materials mentioning features or use of this software. The
 * name of the University may not be used to endorse or promote products
 * derived from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * MODULE:
 *	Vision simulator
 *
 * FILE:
 *	visionsim.h
 *
 * ABSTRACT:
 *	define messages for dealing with the vision sim
 *
 * $Revision: 1.3 $
 * $Date: 1996/01/17 19:20:40 $
 * $Author: jla $
 *
 * HISTORY:
 *
 * $Log: visionsim.h,v $
 * Revision 1.3  1996/01/17  19:20:40  jla
 * Updated Cogyright verbage for release.
 *
 * Revision 1.2  1996/01/15  16:26:46  jla
 * Enrolling in version control.
 *
 *
 */

#ifndef _VISIONSIM_
#define _VISIONSIM_

#include "../Utils/coords.h"

typedef struct{
   int robot;
   double x;
   double y;
} XYType, *XYPtr;
#define XYFormat	"{int, double, double}"
#define XYInform	"XYInform"

#define VisionInformFormat	"{int, <{double,double,double}: 1>}"
#define VisionInform		"VisionInform"

#endif /* _VISIONSIM_ */

